glClearStencil
Prev | GL | Next

## Name

glClearStencil — specify the clear value for the stencil buffer

## C Specification

`void `glClearStencil`` | `(` | `GLint `s`);`

## Python Specification

``glClearStencil`` | `(` | ``s`) → `None``

## Parameters

`s`
  Specifies the index used when the stencil buffer is cleared. The initial value is 0.

## Description

`glClearStencil` specifies the index used by `glClear` to clear the stencil buffer. `s` is masked with 2 m - 1 , where m is the number of bits in the stencil buffer.

## Errors

`GL_INVALID_OPERATION` is generated if `glClearStencil` is executed between the execution of `glBegin` and the corresponding execution of `glEnd`.

## Associated Gets

`glGet` with argument `GL_STENCIL_CLEAR_VALUE`

`glGet` with argument `GL_STENCIL_BITS`

## See Also

glClear, glStencilFunc, glStencilOp, glStencilMask

Prev | Up | Next
glClearIndex | Home | glClientActiveTextureARB